Procalign (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.util
Class Procalign

    java.lang.Object
      fr.inrialpes.exmo.align.util.Procalign

    public class Procalign

extends Object

A basic class for an OWL ontology alignment processing. The processor will parse ontologies, align them and renderings the resulting alignment. Command synopsis is as follows:

        java fr.inrialpes.exmo.align.util.Procalign [options] onto1 onto2 [output]

or better

        java -jar procalign.jar onto1 onto2

where the options are:

            --alignment=filename -a filename Start from an XML alignment file
            --params=filename -p filename   Read the parameters in file
            --debug[=n] -d [n]              Report debug info at level n,
            --output=filename -o filename Output the alignment in filename
            --impl=className -i classname           Use the given alignment implementation.
            --renderer=className -r className       Specifies the alignment renderer
            --help -h                       Print this message

`onto1` and `onto2` should be URLs. If output is requested (`-o` flags), then output will be written to `output` if present, stdout by default.

    $Id: Procalign.java 1406 2010-03-31 09:02:59Z euzenat $

Author:
  Sean K. Bechhofer, Jérôme Euzenat

Constructor Summary
`Procalign()`

Method Summary
`static void` | `main(String[] args)`
`Alignment` | `run(String[] args)`
`void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Procalign

    public Procalign()

Method Detail

### main

    public static void main(String[] args)

### run

    public Alignment run(String[] args)
                  throws Exception

  Throws:
    `Exception`

### usage

    public void usage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010